eoBooleanInit(3)

NAME
eoBooleanInit - The class eoBooleanInit can be used in the STL apply function to easily generate random booleans with a specified bias.

SYNOPSIS

#include <eoUniformInit.h>

Inherits eoInit< bool >.

  Public Member Functions
eoBooleanInit (float _bias=0.5, eoRng &_rng=rng)
void operator() (bool &_b)
The pure virtual function that needs to be implemented by the subclass.

  Private Attributes
float bias
eoRng & gen

Detailed Description

The class eoBooleanInit can be used in the STL apply function to easily generate random booleans with a specified bias.

Definition at line 110 of file eoUniformInit.h.

Author

Generated automatically by Doxygen for EO from the source code.